#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	curl
Version		:	8.9.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Curl is a command line tool for transferring data specified with URL syntax
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/curl/curl

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
Curl is a command line tool for transferring data specified with URL
syntax. Find out how to use curl by reading the curl.1 man page or the
MANUAL document. Find out how to install Curl by reading the INSTALL
document.

libcurl is the library curl is using to do its job. It is readily
available to be used by your software. Read the libcurl.3 man page to
learn how!

You find answers to the most frequent questions we get in the FAQ document.

Study the COPYING file for distribution terms and similar. If you distribute
curl binaries or other binaries that involve libcurl, you might enjoy the
LICENSE-MIXING document.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_includedir}/%{name}/*.h
%{_bindir}/%{name}*
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_datadir}/aclocal/lib%{name}.m4
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q
#patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-threaded-resolver			\
	--with-ca-path=/etc/ssl/certs			\
	--with-openssl					\
	--without-libpsl 				\
	--without-brotli				\

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	%{buildroot}%{_prefix}/lib			\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
